Bug 195495 - CVE-2002-2214 php imap To header buffer overflow
CVE-2002-2214 php imap To header buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: php (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
impact=moderate,source=bugzilla,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-15 10:42 EDT by Josh Bressers
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0567
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 08:06:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-06-15 10:42:39 EDT
This upstream bug:

http://bugs.php.net/bug.php?id=15595

describes a buffer overflow that occurs when the php imap functions are used to
view a malformed message.

There is a patch in attachment 130838 [details]
Comment 3 Red Hat Bugzilla 2006-07-25 08:06:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0567.html

Note You need to log in before you can comment on or make changes to this bug.